import org.neuroph.core.NeuralNetwork;
import java.util.Vector;

/**
* This example shows how to load and use neural network created and saved with easyNeurons
*/
public class UseNeuralNetworkDemo {

    public static void main(String[] args) {

        // load neural network
        NeuralNetwork myNeuralNetwork = NeuralNetwork.load("mySamplePerceptron.nnet");
        // set network input
        myNeuralNetwork.setInput(1, 1);
        // calculate network
        myNeuralNetwork.calculate();
        // get network output
        Vector <Double> networkOutput = myNeuralNetwork.getOutput();
        // print network output
        System.out.println(networkOutput);

    }

}